org.apache.ignite.internal.visor.query

## Class VisorRunningQuery

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorRunningQuery

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorRunningQuery
    extends VisorDataTransferObject

Descriptor of running query.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorRunningQuery()` Default constructor.
`VisorRunningQuery(long id, String qry, GridCacheQueryType qryType, String schemaName, long startTime, long duration, boolean cancellable, boolean loc)` Construct data transfer object for running query information.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDuration()`
`long` `getId()`
`String` `getQuery()`
`GridCacheQueryType` `getQueryType()`
`String` `getSchemaName()`
`long` `getStartTime()`
`boolean` `isCancelable()`
`boolean` `isLocal()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorRunningQuery

    public VisorRunningQuery()

Default constructor.

#### VisorRunningQuery

    public VisorRunningQuery(long id,
                             String qry,
                             GridCacheQueryType qryType,
                             String schemaName,
                             long startTime,
                             long duration,
                             boolean cancellable,
                             boolean loc)

Construct data transfer object for running query information.

Parameters:
  `id` - Query ID.
  `qry` - Query text.
  `qryType` - Query type.
  `schemaName` - Query schema name.
  `startTime` - Query start time.
  `duration` - Query current duration.
  `cancellable` - `true` if query can be canceled.
  `loc` - `true` if query is local.

### Method Detail

#### getId

    public long getId()

Returns:
  Query ID.

#### getQuery

    public String getQuery()

Returns:
  Query txt.

#### getQueryType

    public GridCacheQueryType getQueryType()

Returns:
  Query type.

#### getSchemaName

    public String getSchemaName()

Returns:
  Schema name.

#### getStartTime

    public long getStartTime()

Returns:
  Query start time.

#### getDuration

    public long getDuration()

Returns:
  Query duration.

#### isCancelable

    public boolean isCancelable()

Returns:
  `true` if query can be cancelled.

#### isLocal

    public boolean isLocal()

Returns:
  `true` if query is local.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018